## rust-oxhttp 0.3.1

=== debian/changelog ===
rust-oxhttp (0.3.1-8) unstable; urgency=medium

  * drop patch 2002_rustls-platform-verifier,
    obsoleted by Debian packaging changes;
    bump (build-)dependency for crate rustls-platform-verifier

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Oct 2025 16:09:05 +0200

rust-oxhttp (0.3.1-7) unstable; urgency=medium

  * fix autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 12 Oct 2025 12:22:50 +0200

rust-oxhttp (0.3.1-6) unstable; urgency=medium

  * autopkgtest feature native-tls
    (not bogusly native-certs)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 20:54:32 +0200

rust-oxhttp (0.3.1-5) unstable; urgency=medium

  * autopkgtest feature native-certs
    (not bogusly rustls-native-certs)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Sep 2025 10:13:59 +0200

rust-oxhttp (0.3.1-4) unstable; urgency=medium

  * extend patch 2003_no_net

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Sep 2025 17:41:46 +0200

rust-oxhttp (0.3.1-3) unstable; urgency=medium

  * fix patch 2002_rustls-platform-verifier;
    tighten (build-)dependencies for crate rustls-platform-verifier

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Sep 2025 23:41:25 +0200

rust-oxhttp (0.3.1-2) unstable; urgency=medium

  * add patch 2003_no_net
    to skip network-requiring tests by default,
    superseding patch 2001;
    adapt build rules and autopkgtests
  * update watch file:
    + use file format version 5
    + improve mangling of upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 15:53:05 +0200

rust-oxhttp (0.3.1-1) experimental; urgency=medium

  * bump project versions in virtual packages and autopkgtests
  * update and unfuzz patches
  * (build-)depend on package for crate http;
    stop (build-)depend on package for crate rustls-native-certs
  * stop provide or autopkgtest features
    rustls rustls-ring-platform-verifier
  * tighten (build-)dependencies
    for crates rustls rustls-platform-verifier

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Aug 2025 12:50:13 +0200

rust-oxhttp (0.2.7-4) experimental; urgency=medium

  * update patches and (build-)dependencies
    to use newer crates rustls rustls-native-certs
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Aug 2025 01:51:41 +0200
