=== debian/control ===
Source: rust-oxhttp
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-flate2-1+default-dev,
 librust-http-1+default-dev,
 librust-httparse-1+default-dev,
 librust-lazy-static-1+default-dev,
 librust-native-tls-0.2+default-dev,
 librust-rustls-0.23+ring-dev (>= 0.23.27),
 librust-rustls-0.23+std-dev (>= 0.23.27),
 librust-rustls-0.23+tls12-dev (>= 0.23.27),
 librust-rustls-pki-types-1+default-dev,
 librust-rustls-platform-verifier-0.6+default-dev,
 librust-url-2+default-dev (>= 2.4),
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/debian/rust-oxhttp.git
Vcs-Browser: https://salsa.debian.org/debian/rust-oxhttp
Homepage: https://github.com/oxigraph/oxhttp
Rules-Requires-Root: no

Package: librust-oxhttp-dev
Architecture: all
Multi-Arch: foreign
Depends:
 librust-flate2-1+default-dev,
 librust-http-1+default-dev,
 librust-httparse-1+default-dev,
 librust-lazy-static-1+default-dev,
 librust-native-tls-0.2+default-dev,
 librust-rustls-0.23+ring-dev (>= 0.23.27),
 librust-rustls-0.23+std-dev (>= 0.23.27),
 librust-rustls-0.23+tls12-dev (>= 0.23.27),
 librust-rustls-pki-types-1+default-dev,
 librust-rustls-platform-verifier-0.6+default-dev,
 librust-url-2+default-dev (>= 2.4),
 ${misc:Depends},
Provides:
 librust-oxhttp-0.3+client-dev (= ${binary:Version}),
 librust-oxhttp-0.3+default-dev (= ${binary:Version}),
 librust-oxhttp-0.3+flate2-dev (= ${binary:Version}),
 librust-oxhttp-0.3+native-tls-dev (= ${binary:Version}),
 librust-oxhttp-0.3+rustls-ring-native-dev (= ${binary:Version}),
 librust-oxhttp-0.3+server-dev (= ${binary:Version}),
 librust-oxhttp-0.3-dev (= ${binary:Version}),
 librust-oxhttp-0.3.1-dev (= ${binary:Version}),
Description: very simple implementation of HTTP 1.1 - Rust source code
 OxHTTP is a very simple synchronous implementation
 of HTTP 1.1 in Rust.
 It provides both a client and a server.
 .
 This package contains the source for the Rust oxhttp crate,
 for use with cargo.
