=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --all-features
Features: test-name=rust-oxhttp:@
Depends:
 dh-rust,
 librust-oxhttp-0.3-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets
Features: test-name=rust-oxhttp:default
Depends:
 dh-rust,
 librust-oxhttp-0.3+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features
Features: test-name=rust-oxhttp:
Depends:
 dh-rust,
 librust-oxhttp-0.3-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features client
Features: test-name=rust-oxhttp:client
Depends:
 dh-rust,
 librust-oxhttp-0.3+client-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features flate2
Features: test-name=rust-oxhttp:flate2
Depends:
 dh-rust,
 librust-oxhttp-0.3+flate2-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features native-tls
Features: test-name=rust-oxhttp:native-tls
Depends:
 dh-rust,
 librust-oxhttp-0.3+native-tls-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features rustls-ring-native
Features: test-name=rust-oxhttp:rustls-ring-native
Depends:
 dh-rust,
 librust-oxhttp-0.3+rustls-ring-native-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features server
Features: test-name=rust-oxhttp:server
Depends:
 dh-rust,
 librust-oxhttp-0.3+server-dev,
Restrictions: allow-stderr
Architecture: amd64

# All tests repeated, with network tests enabled, flagged as flaky

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --all-features
 -- --ignored
Features: test-name=rust-oxhttp:@+flaky
Depends:
 dh-rust,
 librust-oxhttp-0.3-dev,
Restrictions: allow-stderr, flaky

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets
 -- --ignored
Features: test-name=rust-oxhttp:default+flaky
Depends:
 dh-rust,
 librust-oxhttp-0.3+default-dev,
Restrictions: allow-stderr, flaky

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features
 -- --ignored
Features: test-name=rust-oxhttp:+flaky
Depends:
 dh-rust,
 librust-oxhttp-0.3-dev,
Restrictions: allow-stderr, flaky

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test oxhttp 0.3.1
 --all-targets --no-default-features --features client
 -- --ignored
Features: test-name=rust-oxhttp:client+flaky
Depends:
 dh-rust,
 librust-oxhttp-0.3+client-dev,
